/*
 * Copyright (C) 2000-2004 by ETH Zurich
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY ETH ZURICH AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ETH ZURICH
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * For additional information see http://www.btnode.ethz.ch
 *
 */
 
 /**
 * @file cc/cc1000_params.c
 *
 * @brief Chipcon CC1000 params and frequency settings for both ISM 915 MHz and 868 MHz
 * 
 *
 * 2004/06/19 Matthias Ringwald <mringwal@inf.ethz.ch>
 *
 */

#include <sys/types.h>
#include <cc/cc1000_defs.h>

/** THe base template of the cc1000 radio templates */
u_char cc1000_params_template[PARAM_NUM] =
{ 
   // MAIN 00
   0x11,
   // FREQ2A,FREQ1A,FREQ0A 01 - 03 //this is different from setting to setting
   0xD6,0x40,0x00,					
   // FREQ2B,FREQ1B,FREQ0B 04 - 06 //this is different from setting to setting
   0xD6,0x47,0x2B,					
   // FSEP1, FSEP0 07 08
   0X03,0xE3,
   // CURRENT (RX MODE VALUE) 09
   0x8F,	
   // FRONT_END 0a
   0x30,  //0x30-rssi-off, 0x32-rssi-on 
   // PA_POW 0b
   0xFF,
   // PLL RX 0c
   0x70,		 
   // LOCK 0d 
   0x10, 
   // CAL 0e 
   0x26,	 
   // MODEM2 0f 
   0x90, 	
   // MODEM1 10 
   0x6F,  
   // MODEM0	11  //decide the speed, varied from setting to setting
   0x55, // 0x55-manchaster, 0x51-NRZ
   // MATCH 12h 
   0x20, 
   // FSCTRL 13h 
   0x01,			 
   // FSHAPE7 - FSHAPE1 14,15,16,17,18,19,1a 
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,	 
   // FSDELAY 1bh 
   0x00,	 
   // PRESCALER 1ch 
   0x00, 
   // TEST6 - TEST0; 40 - 46h 
   0x00,0x00,0x3f,0x00,0x00,0x00,0x00, 
   // CURRENT (TX MODE VALUE) index=29 
   0xf3, 
   // PLL_TX 
   0x70   
};

